Entity Court Case Check - Search
Introduction
The Entity Court Case API simplifies the process of finding and retrieving court case information linked to legal entities. Its structure ensures easy integration into your systems, offering valuable insights into the legal matters concerning the entities you are interested in. The Search API is used to start a query by providing the relevant entity details.
cURL
curl --location 'https://api.signzy.app/api/v3/entity/search' \
--header 'Content-Type: application/json' \
--header 'Authorization: <auth-token>' \
--data '{
"name": "",
"nameMatchType": "",
"entityType": "",
"address": ""
}'Request Headers
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-Type | application/json |
Request Body
{
"name": "",
"nameMatchType": "",
"entityType": "",
"address": ""
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
name | Name of the entity | String | Compulsory |
nameMatchType | Type of the match to be performed while doing the search. The possible values are exact and fuzzy | String | Optional |
entityType | Possible values are proprietorship and limited. If user doesn’t pass anything, by default limited companies are searched | String | Optional |
address | Address of the entity | String | Optional |
Response Data
{
"status": 1,
"caseId": "66ba0bc318b9803123a0f262__entity__search"
}Status Codes
CODE | MESSAGE |
|---|---|
200 | Request Successful |
400 | Validation Error |
404 | Record Not Found |
409 | Upstream is down |
500 | Server Side Error |